Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## grails.web
[Java] Annotation Type RequestParameter

    java.lang.Object
      grails.web.RequestParameter

    @java.lang.annotation.Retention(RetentionPolicy.SOURCE)
    @java.lang.annotation.Target(ElementType.PARAMETER)
    public @interface RequestParameter

Required Element Summary
`java.lang.String` | `value` The name of the request parameter to bind to.

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### value

    public java.lang.String value

  The name of the request parameter to bind to.

Groovy Documentation